export type ProxyInfo = {
  path?: string;
  /**
   * 目标地址
   */
  target?: string;
  /**
   * 类型
   */
  type?: 'static' | 'dynamic' | 'minio';
  /**
   * 是否使用websocket
   * @default false
   */
  ws?: boolean;
  /**
   * 首要文件，比如index.html， 设置了首要文件，如果文件不存在，则访问首要文件
   */
  indexPath?: string;
  /**
   * 根路径, 默认是process.cwd()
   */
  rootPath?: string;
};
export type ApiList = {
  path: string;
  /**
   * url或者相对路径
   */
  target: string;
  /**
   * 目标地址
   */
  ws?: boolean;
  /**
   * 类型
   */
  type?: 'static' | 'dynamic' | 'minio';
}[];

/**

[
  {
    path: '/api/v1/user',
    target: 'http://localhost:3000/api/v1/user',
    type: 'dynamic',
  },
]
 */
