import { App } from '@kevisual/router';
import { useContextKey } from '@kevisual/use-config/context';
import { httpsConfig } from './modules/config.ts';

const init = () => {
  const app = new App({
    serverOptions: {
      path: '/client/router',
      httpType: 'https',
      httpsCert: httpsConfig.cert.toString(),
      httpsKey: httpsConfig.key.toString(),
    },
  });
  return app;
};

export const app = useContextKey('app', init);


