import {
  getCacheAssistantConfig,
  setConfig,
  getConfig,
  getAppConfig,
  setAppConfig,
  configPath,
  appConfigPath,
  appDir,
  LocalElectronAppUrl,
} from '@kevisual/assistant-module/assistant-config';

export const kevisualUrl = process.env.KEVISUAL_URL || 'https://kevisual.cn';
export { configPath, appConfigPath, appDir, LocalElectronAppUrl };

export { getCacheAssistantConfig, setConfig, getConfig, getAppConfig, setAppConfig };
export const addAppConfig = (app: any) => {
  const config = getAppConfig();
  const assistantConfig = getCacheAssistantConfig();
  const _apps = config.list;
  const _proxy = assistantConfig.proxy || [];
  const { user, key } = app;
  const newProxyInfo = {
    user,
    key,
    path: `/${user}/${key}`,
  };
  const _proxyIndex = _proxy.findIndex((_proxy: any) => _proxy.path === newProxyInfo.path);
  if (_proxyIndex !== -1) {
    _proxy[_proxyIndex] = newProxyInfo;
  } else {
    _proxy.push(newProxyInfo);
  }

  const _app = _apps.findIndex((_app: any) => _app.id === app.id);
  if (_app !== -1) {
    _apps[_app] = app;
  } else {
    _apps.push(app);
  }
  setAppConfig({ ...config, list: _apps });
  setConfig({ ...assistantConfig, proxy: _proxy });
  return config;
};

export const getAppList = () => {
  const config = getAppConfig();
  return config.list || [];
};
